Bug 179224 - Solid::Control::BluetoothManager::security missing for kbluetooth4
Summary: Solid::Control::BluetoothManager::security missing for kbluetooth4
Status: RESOLVED FIXED
Alias: None
Product: solid
Classification: Frameworks and Libraries
Component: bluetooth (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR crash with 50 votes (vote)
Target Milestone: ---
Assignee: Alex Fiestas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-31 18:11 UTC by Andreas Petzold
Modified: 2010-10-02 12:45 UTC (History)
7 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Petzold 2008-12-31 18:11:52 UTC
Version:            (using Devel)
OS:                Linux
Installed from:    Compiled sources

kbluetooth4 is crashing with the following message

kbluetooth4: symbol lookup error: kbluetooth4: undefined symbol:  
 _ZN5Solid7Control16BluetoothManager8securityERK7QString

when I plug in a usb bluetooth dongle.

I'm running kde 4.2 beta 2 (fedora redhat packages) in Fedora 10. kdebluetooth is version 0.2. 

Please let me know if more info is needed to track down this issue.
Comment 1 Rex Dieter 2008-12-31 18:55:47 UTC
What arch?  I can't seem to reproduce on x86_64,
$ rpm -q kdelibs kdebluetooth
kdelibs-4.1.85-6.fc10.x86_64
kdebluetooth-0.2-3.fc10.x86_64
Comment 2 Rex Dieter 2008-12-31 18:56:32 UTC
From ml, looks like i386:
kdelibs-4.1.85-6.fc10.i386
kdebluetooth-0.2-3.fc10.i386
Comment 3 Rex Dieter 2008-12-31 18:57:30 UTC
Nevermind, here's the scoop:
$ ldd -r /usr/bin/kbluetooth4                                                       
        linux-vdso.so.1 =>  (0x00007fff3bbfe000)                                    
        libkio.so.5 => /usr/lib64/libkio.so.5 (0x000000000063d000)                  
        libQtSvg.so.4 => /usr/lib64/libQtSvg.so.4 (0x00007fb93392d000)              
        libQtCore.so.4 => /usr/lib64/libQtCore.so.4 (0x00007fb933505000)            
        libpthread.so.0 => /lib64/libpthread.so.0 (0x0000000000ad6000)              
        libkdecore.so.5 => /usr/lib64/libkdecore.so.5 (0x00007fb9330ab000)          
        libSM.so.6 => /usr/lib64/libSM.so.6 (0x00007fb932ea3000)                    
        libICE.so.6 => /usr/lib64/libICE.so.6 (0x00007fb932c88000)                  
        libX11.so.6 => /usr/lib64/libX11.so.6 (0x00007fb93297c000)                  
        libXext.so.6 => /usr/lib64/libXext.so.6 (0x00007fb93276b000)                
        libXft.so.2 => /usr/lib64/libXft.so.2 (0x00007fb932557000)                  
        libXau.so.6 => /usr/lib64/libXau.so.6 (0x00007fb932354000)                  
        libXdmcp.so.6 => /usr/lib64/libXdmcp.so.6 (0x00007fb93214f000)              
        libXpm.so.4 => /usr/lib64/libXpm.so.4 (0x00007fb931f3e000)                  
        libQtGui.so.4 => /usr/lib64/libQtGui.so.4 (0x00007fb93143e000)              
        libQtXml.so.4 => /usr/lib64/libQtXml.so.4 (0x00007fb9311f9000)              
        libXtst.so.6 => /usr/lib64/libXtst.so.6 (0x00007fb930ff3000)                
        libXcursor.so.1 => /usr/lib64/libXcursor.so.1 (0x00007fb930de8000)          
        libXfixes.so.3 => /usr/lib64/libXfixes.so.3 (0x00007fb930be3000)            
        libXrender.so.1 => /usr/lib64/libXrender.so.1 (0x00007fb9309da000)          
        libkdeui.so.5 => /usr/lib64/libkdeui.so.5 (0x00007fb9303f1000)              
        libQtDBus.so.4 => /usr/lib64/libQtDBus.so.4 (0x00007fb93018a000)            
        libsolid.so.4 => /usr/lib64/libsolid.so.4 (0x00007fb92ff03000)              
        libz.so.1 => /lib64/libz.so.1 (0x00007fb92fced000)                          
        libkfile.so.4 => /usr/lib64/libkfile.so.4 (0x00007fb92fa59000)              
        libsolidcontrol.so.4 => /usr/lib64/libsolidcontrol.so.4 (0x00007fb92f82a000)
        libstreamanalyzer.so.0 => /usr/lib64/libstreamanalyzer.so.0 (0x00007fb92f5b9000)
        libstreams.so.0 => /usr/lib64/libstreams.so.0 (0x00007fb92f387000)              
        libbz2.so.1 => /lib64/libbz2.so.1 (0x00007fb92f177000)                          
        libresolv.so.2 => /lib64/libresolv.so.2 (0x00007fb92ef5e000)                    
        libQtNetwork.so.4 => /usr/lib64/libQtNetwork.so.4 (0x00007fb92ec64000)          
        libfam.so.0 => /usr/lib64/libfam.so.0 (0x00007fb92ea5c000)                      
        libacl.so.1 => /lib64/libacl.so.1 (0x00007fb92e854000)                          
        libattr.so.1 => /lib64/libattr.so.1 (0x00007fb92e650000)                        
        libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00007fb92e346000)                
        libm.so.6 => /lib64/libm.so.6 (0x00007fb92e0c0000)                              
        libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007fb92dea9000)                      
        libc.so.6 => /lib64/libc.so.6 (0x00007fb92db37000)                              
        libpng12.so.0 => /usr/lib64/libpng12.so.0 (0x00007fb92d910000)                  
        libXi.so.6 => /usr/lib64/libXi.so.6 (0x00007fb92d707000)                        
        libXrandr.so.2 => /usr/lib64/libXrandr.so.2 (0x00007fb92d4ff000)                
        libXinerama.so.1 => /usr/lib64/libXinerama.so.1 (0x00007fb92d2fd000)            
        libfreetype.so.6 => /usr/lib64/libfreetype.so.6 (0x00007fb92d064000)            
        libfontconfig.so.1 => /usr/lib64/libfontconfig.so.1 (0x00007fb92ce32000)        
        libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00007fb92cc2e000)          
        librt.so.1 => /lib64/librt.so.1 (0x00007fb92ca25000)                            
        libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00007fb92c743000)                
        libdl.so.2 => /lib64/libdl.so.2 (0x00007fb92c53f000)                            
        /lib64/ld-linux-x86-64.so.2 (0x0000000000110000)                                
        libuuid.so.1 => /lib64/libuuid.so.1 (0x00007fb92c33a000)                        
        libxcb-xlib.so.0 => /usr/lib64/libxcb-xlib.so.0 (0x00007fb92c139000)            
        libxcb.so.1 => /usr/lib64/libxcb.so.1 (0x00007fb92bf1e000)                      
        libdbus-1.so.3 => /lib64/libdbus-1.so.3 (0x00007fb92bcdf000)                    
        libsolidcontrolifaces.so.4 => /usr/lib64/libsolidcontrolifaces.so.4 (0x00007fb92bad1000)
        libxml2.so.2 => /usr/lib64/libxml2.so.2 (0x00007fb92b775000)                            
        libssl.so.7 => /lib64/libssl.so.7 (0x00007fb92b525000)                                  
        libcrypto.so.7 => /lib64/libcrypto.so.7 (0x00007fb92b1c2000)                            
        libexpat.so.1 => /lib64/libexpat.so.1 (0x00007fb92af98000)                              
        libcap.so.2 => /lib64/libcap.so.2 (0x00007fb92ad94000)                                  
        libgssapi_krb5.so.2 => /usr/lib64/libgssapi_krb5.so.2 (0x00007fb92ab64000)              
        libkrb5.so.3 => /usr/lib64/libkrb5.so.3 (0x00007fb92a8c2000)                            
        libcom_err.so.2 => /lib64/libcom_err.so.2 (0x00007fb92a6bf000)                          
        libk5crypto.so.3 => /usr/lib64/libk5crypto.so.3 (0x00007fb92a499000)                    
        libkrb5support.so.0 => /usr/lib64/libkrb5support.so.0 (0x00007fb92a28f000)              
        libkeyutils.so.1 => /lib64/libkeyutils.so.1 (0x00007fb92a08d000)                        
        libselinux.so.1 => /lib64/libselinux.so.1 (0x00007fb929e70000)                          
undefined symbol: _ZN5Solid7Control16BluetoothManager26createBluetoothInputDeviceERK7QString    (/usr/bin/kbluetooth4)                                                                                                      
undefined symbol: _ZNK5Solid7Control18BluetoothInterface4modeEv (/usr/bin/kbluetooth4)                        
undefined symbol: _ZN5Solid7Control18BluetoothInterface10setTrustedERK7QString  (/usr/bin/kbluetooth4)        
undefined symbol: _ZNK5Solid7Control21BluetoothRemoteDevice14serviceHandlesERK7QString  (/usr/bin/kbluetooth4)
undefined symbol: _ZNK5Solid7Control16BluetoothManager21bluetoothInputDevicesEv (/usr/bin/kbluetooth4)        
undefined symbol: _ZNK5Solid7Control21BluetoothRemoteDevice12manufacturerEv     (/usr/bin/kbluetooth4)        
undefined symbol: _ZNK5Solid7Control21BluetoothRemoteDevice10hasBondingEv       (/usr/bin/kbluetooth4)        
undefined symbol: _ZNK5Solid7Control18BluetoothInterface7versionEv      (/usr/bin/kbluetooth4)                
undefined symbol: _ZN5Solid7Control18BluetoothInterface21stopPeriodicDiscoveryEv        (/usr/bin/kbluetooth4)
undefined symbol: _ZNK5Solid7Control21BluetoothRemoteDevice7addressEv   (/usr/bin/kbluetooth4)                
undefined symbol: _ZNK5Solid7Control21BluetoothRemoteDevice10minorClassEv       (/usr/bin/kbluetooth4)        
undefined symbol: _ZNK5Solid7Control20BluetoothInputDevice4nameEv       (/usr/bin/kbluetooth4)                
undefined symbol: _ZNK5Solid7Control20BluetoothInputDevice7addressEv    (/usr/bin/kbluetooth4)                
undefined symbol: _ZN5Solid7Control16BluetoothManager16setupInputDeviceERK7QString      (/usr/bin/kbluetooth4)
undefined symbol: _ZN5Solid7Control20BluetoothInputDevice14slotDisconnectEv     (/usr/bin/kbluetooth4)
undefined symbol: _ZNK5Solid7Control20BluetoothInputDevice11isConnectedEv       (/usr/bin/kbluetooth4)
undefined symbol: _ZNK5Solid7Control21BluetoothRemoteDevice14serviceClassesEv   (/usr/bin/kbluetooth4)
undefined symbol: _ZN5Solid7Control21BluetoothRemoteDevice13createBondingEv     (/usr/bin/kbluetooth4)
undefined symbol: _ZNK5Solid7Control18BluetoothInterface10minorClassEv  (/usr/bin/kbluetooth4)
undefined symbol: _ZN5Solid7Control18BluetoothInterface7setModeENS1_4ModeE      (/usr/bin/kbluetooth4)
undefined symbol: _ZN5Solid7Control21BluetoothRemoteDevice13removeBondingEv     (/usr/bin/kbluetooth4)
undefined symbol: _ZN5Solid7Control16BluetoothManager17removeInputDeviceERK7QString     (/usr/bin/kbluetooth4)
undefined symbol: _ZN5Solid7Control18BluetoothInterface13setMinorClassERK7QString       (/usr/bin/kbluetooth4)
undefined symbol: _ZNK5Solid7Control21BluetoothRemoteDevice4nameEv      (/usr/bin/kbluetooth4)
undefined symbol: _ZN5Solid7Control18BluetoothInterface13getRemoteNameERK7QString       (/usr/bin/kbluetooth4)
undefined symbol: _ZN5Solid7Control18BluetoothInterface22startPeriodicDiscoveryEv       (/usr/bin/kbluetooth4)
undefined symbol: _ZN5Solid7Control18BluetoothInterface9isTrustedERK7QString    (/usr/bin/kbluetooth4)
undefined symbol: _ZN5Solid7Control18BluetoothInterface11removeTrustERK7QString (/usr/bin/kbluetooth4)
undefined symbol: _ZNK5Solid7Control18BluetoothInterface8revisionEv     (/usr/bin/kbluetooth4)
undefined symbol: _ZN5Solid7Control18BluetoothInterface15discoverDevicesEv      (/usr/bin/kbluetooth4)
undefined symbol: _ZN5Solid7Control20BluetoothInputDevice11slotConnectEv        (/usr/bin/kbluetooth4)
undefined symbol: _ZNK5Solid7Control18BluetoothInterface25isPeriodicDiscoveryActiveEv   (/usr/bin/kbluetooth4)
undefined symbol: _ZN5Solid7Control16BluetoothManager8securityERK7QString       (/usr/bin/kbluetooth4)
undefined symbol: _ZNK5Solid7Control18BluetoothInterface12manufacturerEv        (/usr/bin/kbluetooth4)
undefined symbol: _ZNK5Solid7Control21BluetoothRemoteDevice10majorClassEv       (/usr/bin/kbluetooth4)
Comment 4 Murz 2009-01-05 08:51:13 UTC
Confirm on Kubuntu Intrepid 8.10 AMD64.
kdelibs5 Version: 4:4.1.85-0ubuntu1~intrepid1~ppa1
kdebluetooth Version: 1:0.2-0ubuntu2

$ kbluetooth4-devicemanager
kbluetooth4-devicemanager(21269) Solid::Control::ManagerBasePrivate::loadBackend: Backend loaded:  "BlueZ"
QDBusObjectPath: invalid path ""
process 21269: arguments to dbus_message_new_method_call() were incorrect, assertion "path != NULL" failed in file dbus-message.c line 1070.
This is normally a bug in some application using the D-Bus library.
QDBusConnection: error: could not send message to service "org.bluez" path "" interface "org.freedesktop.DBus.Introspectable" member "Introspect"
Object::connect: No such signal Solid::Control::BluetoothInterface::trustAdded(QString)
Object::connect: No such signal Solid::Control::BluetoothInterface::trustRemoved(QString)
Object::connect: No such signal Solid::Control::BluetoothManager::inputDeviceCreated(QString)
Object::connect: No such signal Solid::Control::BluetoothManager::inputDeviceRemoved(QString)
kbluetooth4-devicemanager(21269) DeviceMan::DeviceMan: Device Manager - Welcome
kbluetooth4-devicemanager: symbol lookup error: kbluetooth4-devicemanager: undefined symbol: _ZNK5Solid7Control16BluetoothManager21bluetoothInputDevicesEv

Comment 5 Murz 2009-01-06 00:11:36 UTC
On Asus EEE PC 901 (Intel Atom) with Kubuntu Inrepid KDE 4.2 the error is here too:

$ kbluetooth4
kbluetooth4(7279) Solid::Control::ManagerBasePrivate::loadBackend: Backend loaded:  "BlueZ"
kbluetooth4(7279) KBlueTray::onlineMode: online Mode
kbluetooth4: symbol lookup error: kbluetooth4: undefined symbol: _ZN5Solid7Control16BluetoothManager8securityERK7QString
kbluetooth4(7278): Communication problem with  "kbluetooth4" , it probably crashed.
Error message was:  "org.freedesktop.DBus.Error.NoReply" : " "Message did not receive a reply (timeout by message bus)" "

kdelibs5 Version: 4:4.1.85-0ubuntu1~intrepid1~ppa1
kdebluetooth Version: 1:0.2-0ubuntu2 
Comment 6 Jorge Peña 2009-01-10 19:38:48 UTC
On Sony Vaio Tz Intrepid 8.10 i386
kdelibs5 Version: 4:4.1.85-0ubuntu1~intrepid1~ppa1
kdebluetooth Version: 1:0.2-0ubuntu2

Same problem, it doesn't work...


$ kbluetooth4
kbluetooth4(964) Solid::Control::ManagerBasePrivate::loadBackend: Backend loaded:  "BlueZ"
kbluetooth4(964) KBlueTray::onlineMode: online Mode
kbluetooth4: symbol lookup error: kbluetooth4: undefined symbol: _ZN5Solid7Control16BluetoothManager8securityERK7QString
kbluetooth4(963): Communication problem with  "kbluetooth4" , it probably crashed.
Error message was:  "org.freedesktop.DBus.Error.NoReply" : " "Message did not receive a reply (timeout by message bus)" "

And

$ kbluetooth4-devicemanager
kbluetooth4-devicemanager(991) Solid::Control::ManagerBasePrivate::loadBackend: Backend loaded:  "BlueZ"
Object::connect: No such signal Solid::Control::BluetoothInterface::trustAdded(QString)
Object::connect: No such signal Solid::Control::BluetoothInterface::trustRemoved(QString)
Object::connect: No such signal Solid::Control::BluetoothManager::inputDeviceCreated(QString)
Object::connect: No such signal Solid::Control::BluetoothManager::inputDeviceRemoved(QString)
kbluetooth4-devicemanager(991) DeviceMan::DeviceMan: Device Manager - Welcome
kbluetooth4-devicemanager: symbol lookup error: kbluetooth4-devicemanager: undefinedsymbol: _ZNK5Solid7Control16BluetoothManager21bluetoothInputDevicesEv

Comment 7 Tom Patzig 2009-01-19 01:02:00 UTC

*** This bug has been marked as a duplicate of bug 172267 ***
Comment 8 Kevin Kofler 2009-01-26 23:20:48 UTC
That's not a duplicate, it's a completely different issue, this one is about 4.2 breaking binary compatibility from 4.1!
Comment 9 Kevin Kofler 2009-01-26 23:22:10 UTC
kdebluetooth4 in F10 is built against 4.1, the 4.2 update breaks it => Solid is binary-incompatible, which is a blatant violation of the kdelibs ABI policies.
Comment 10 Kevin Kofler 2009-01-29 18:25:34 UTC
Sorry for mentioning kdelibs, it's actually in kdebase-workspace.
So my understanding is that the version of the Solid Bluetooth code in KDE 4.2 is an intermediate version which works with no version of kdebluetooth, is this correct?
Comment 11 Kevin Kofler 2009-01-29 23:20:11 UTC
Those distros still on BlueZ 3 will be interested in this:
http://cvs.fedoraproject.org/viewvc/rpms/kdebase-workspace/F-9/kdebase-workspace-4.2.0-bluetooth-revert.patch?view=log
This reverts Solid's Bluetooth code to the version in 4.1.4 which is needed for kdebluetooth4 0.2.

For BlueZ 4, use kdebluetooth4 0.3 with the patch from bug 172267 instead.
Comment 12 Fritz 2009-02-01 15:22:48 UTC
Thanks Kevin!
Installing kdebluetooth4 0.3 from https://launchpad.net/ubuntu/+source/kdebluetooth/1:0.3-0ubuntu0.1/+build/844490
on Kubuntu 8.10 / Kde 4.2 beta worked like a charm for me.
Comment 13 Kevin Kofler 2009-09-04 03:39:04 UTC
BlueZ 4 + Solid Bluetooth from KDE 4.3.0/4.3.1 + current kdebluetooth4 builds just fine without patching. Only 4.2.x was broken.